/*
 * Blink.c   Ver 0.1  (10. 3. 2024 9:47:21)
 *
 * Minimal working example for the FEI STU
 * Function:
 * a) setup serial interface and prepare stdio.h
 * b) on-board LED blink
 *
 * Definitions:
 *              ATmega328P
 *              F_CPU 16000000UL
 *              BAUDRATE 9600
 *
 * Tato verzia nepodporuje printf s float aritmetikou!
 * Ak ju pozadujete, treba pre float treba navyse:
 *     Toolchain -> AVR/GNU C ->  Miscelanous -> Other Linker Flags: -Wl,-u,vfprintf  -lprintf_flt  
 *
 * Documentation: http://senzor.robotika.sk/mips/Blink
 * 
 */ 

#include <avr/io.h>
#include "uart.h"

#include <stdio.h>
FILE mystdout = FDEV_SETUP_STREAM(uart_putc, NULL, _FDEV_SETUP_WRITE);
                              
int main(void)
{
  hw_init();
  uart_init();
  stdout = &mystdout;           // printf() works from now

  printf("Hello, world! \n");
  
  while(1)
  {
     //TODO:: Please replace this code with your application code 
  
	 delay(250);             // 250 ms delay
     set_bit(PORTB,LED);     // LED1 = log.1
     delay(250);             // 250 ms delay
     clear_bit(PORTB,LED);   // LED1 = log.0 
  }
  
  return(0);
}
